Questions tagged [cad]

Computer-aided design (CAD) is the use of computer technology for the process of design and design-documentation.

Computer-aided design (CAD) is the use of computer technology for the process of design and design-documentation. CAD is relied upon in various fields such as engineering, manufacturing and survey. Many CAD programs have an in-built means of programming their functionality. Examples being a macro language or lisp. Other programs may offer, or have had reverse-engineered, an API for more in-depth coding. There are various drawing formats, with .dxf being a ubiquitous one for interchange.

552 questions
32
votes
4 answers

How to offset a cubic bezier curve?

I'm trying to create a "parrallel" bezier curve. In my attempts I've gotten close but no cigar. I'm trying to keep a solid 1px offset between the 2 curves (red,blue). My main goal is use a edge offseting algorythm to expand/shrink a svg…
Sean Thayne
  • 863
  • 1
  • 7
  • 9
30
votes
1 answer

Embed Unity3D app inside WPF application

I want to develop a new CAD software in WPF and instead of using WPF 3D, is it possible to use Unity3D as my graphic engine that is capable of rotate, pan, zoom and view 3D graphic objects based on my data objects in WPF? The reason I am asking this…
29
votes
6 answers

Python module for parametric CAD

I am looking for a CAD module for python. This is what i've found, correct me if I'm wrong: PythonCAD: file types: DWG,DXF,SVG oriented: click in a window last maintained: 2012-06-15 documented: poor and dirty PythonOCC: file types: STEP, IGES,…
Mermoz
  • 14,898
  • 17
  • 60
  • 85
20
votes
2 answers

How do I use splines in pythonOCC?

I have a two-part question about how to use splines in pythonOCC. Firstly, I know that I can create a spline with array = [] array.append(gp_Pnt2d (0,0)) array.append(gp_Pnt2d (1,2)) array.append(gp_Pnt2d (2,3)) array.append(gp_Pnt2d…
Steenstrup
  • 644
  • 6
  • 15
20
votes
2 answers

Is there any library to Convert CAD to SVG?

I am looking for a library, which can convert CAD files(DWG, DXF) into SVG format. The library should be able to run on Linux platform. Can anyone tell me which library can do this?
Joe SHI
  • 1,734
  • 4
  • 20
  • 39
15
votes
16 answers

3D models on HTML page

I have 3D CAD model that I want to show on a web page. I'd like to show it in a form like a tag (e.g. inline with everything else rather than as a separate page) and I want the visitor to be able to rotate the model to view it from different…
BCS
  • 75,627
  • 68
  • 187
  • 294
14
votes
1 answer

Exploded view algorithm for CAD

I'm making a program to view 3D CAD models and would like to build in automated exploded views. All the assemblies that will be viewed are axi-symmetric. Some may not be, but the majority are. I'd like to figure out an algorithm for automatically…
Davido
  • 2,913
  • 24
  • 38
13
votes
1 answer

Pythonocc/Opencascade | Create pipe along straight lines through points, profile wont change normal

My ultimate goal is as follows: I have a huge data set of points, representing how a part will be 3D printed layer by layer. I need to create a line through these points and extrude a circle along this line (so rebuild the part as it will be printed…
Sander Voss
  • 143
  • 1
  • 7
13
votes
6 answers

Can I use git with .dwg (autocad)?

Version control with .dwg is really a problem. I'm wondering if it is possible to use git to control the version? or just commit my changes in the file? If this is not possible, then what is a good way of version control .dwg? I find this: Can GIT,…
ZK Zhao
  • 19,885
  • 47
  • 132
  • 206
12
votes
4 answers

What was Blender created in?

Does Blender use OpenGl or DirectX? Or is it all done from scratch?
11
votes
1 answer

Clojure: how to architect desktop UI

I'm trying to design a desktop UI for schematics, layout, drawing stuff. Just looking for high level advice from actual software designers. Assuming an in-memory "database", (clojure map of arbitrary depth for all user data, and possibly another…
Sonicsmooth
  • 2,673
  • 2
  • 22
  • 35
10
votes
4 answers

Drawing 3D lines in WPF

I am working on a CAD application and thinking of using WPF for rendering my entities. But it seems like WPF doesn't support drawing 3D lines. Is there any ways for drawing 3D lines in WPF? I don't like to create a mesh for each line entity I need…
Ram
  • 191
  • 2
  • 3
  • 12
8
votes
2 answers

Rendering highly granular and "zoomed out" data

There was a gif on the internet where someone used some sort of CAD and drew multiple vector pictures in it. On the first frame they zoom-in on a tiny dot, revealing there a whole new different vector picture just on a different scale, and then they…
artemonster
  • 744
  • 4
  • 27
8
votes
2 answers

How to add a git repository as a shared dependency of another git repository?

I need something akin to submodules, but which exist outside the main repository as a dependency. Here's the problem: I'm trying to use Git (in a REALLY awkward way) to manage design files for a CAD tool (Cadsoft Eagle), and I'm having a hard time…
cdwilson
  • 4,310
  • 4
  • 26
  • 32
7
votes
1 answer

Converting a graph to a 2D diagram

I want to create a 2D diagram like the following, The above image has been created using Graph in MATLAB (ref) s = [1 1 1 1 2 2 3 4 4 5 6]; t = [2 3 4 5 3 6 6 5 7 7 7]; weights = [50 10 20 80 90 90 30 20 100 40 60]; G =…
Natasha
  • 1,111
  • 5
  • 28
  • 66
1
2 3
36 37